Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.impl.jcr
Class JCRCMS

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.portal.jems.as.system.AbstractJBossService
                  org.jboss.portal.cms.impl.jcr.JCRCMS

All Implemented Interfaces:
  javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, CMS, org.jboss.system.Service, org.jboss.system.ServiceMBean

Direct Known Subclasses:
  HAJCRCMS

    public class JCRCMS

extends org.jboss.portal.jems.as.system.AbstractJBossService
implements CMS

Author:
  Roy Russo, Julien Viet, Thomas Heute, Sohil Shah

Field Summary
`protected static java.lang.ThreadLocal` | `applyUISecurityFilter`
`protected static java.lang.ThreadLocal` | `turnOffWorkflow` This is used to turnoff workflow triggering only for this particular request through the CMS commands
`protected static java.lang.ThreadLocal` | `userInfo` Used for storing the logged in user information

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`JCRCMS()`

Method Summary
`boolean` | `contentExists()` Checks for existence of default CMS content.
`void` | `createContent()` Loads content from sar and adds it to the repo.
`static void` | `disableUISecurityFilter()`
`static void` | `enableUISecurityFilter()`
`java.lang.Object` | `execute(Command cmd)` Execute the command.
`ApprovePublish` | `getApprovePublishWorkflow()`
`AuthorizationManager` | `getAuthorizationManager()`
`CommandFactory` | `getCommandFactory()` Return the command factory.
`org.w3c.dom.Element` | `getConfig()`
`java.lang.String` | `getDefaultContentLocation()`
`java.lang.String` | `getDefaultLocale()` Return default locale
`boolean` | `getDoChecking()`
`java.lang.String` | `getHomeDir()`
`JCRService` | `getJCR()`
`java.lang.String` | `getJNDIName()`
`javax.jcr.Repository` | `getRepository()`
`java.lang.String` | `getRepositoryName()`
`org.jboss.portal.common.invocation.InterceptorStackFactory` | `getStackFactory()`
`static java.lang.ThreadLocal` | `getUserInfo()`
`static boolean` | `isUISecurityFilterActive()`
`boolean` | `isWorkflowActivated()`
`void` | `setApprovePublishWorkflow(ApprovePublish approvePublishWorkflow)`
`void` | `setAuthorizationManager(AuthorizationManager authorizationManager)`
`void` | `setConfig(org.w3c.dom.Element config)`
`void` | `setDefaultContentLocation(java.lang.String defaultContentLocation)`
`void` | `setDefaultLocale(java.lang.String defaultLocale)`
`void` | `setDoChecking(boolean doChecking)`
`void` | `setHomeDir(java.lang.String homeDir)`
`void` | `setJNDIName(java.lang.String jndiName)`
`void` | `setRepositoryName(java.lang.String repositoryName)`
`void` | `setStackFactory(org.jboss.portal.common.invocation.InterceptorStackFactory stackFactory)`
`void` | `startJCR()`
`void` | `startService()` CMS Start
`void` | `stopJCR()`
`void` | `stopService()` Shuts down the repo and unregisters it
`static void` | `turnOffWorkflow()`
`static void` | `turnOnWorkflow()`

Methods inherited from class org.jboss.portal.jems.as.system.AbstractJBossService
`create, destroy, getState, getStateString, start, stop`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`createService, destroyService, getDeploymentInfo, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, nextNotificationSequenceNumber, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userInfo

    protected static java.lang.ThreadLocal userInfo

  Used for storing the logged in user information

### turnOffWorkflow

    protected static java.lang.ThreadLocal turnOffWorkflow

  This is used to turnoff workflow triggering only for this particular request through the CMS commands

### applyUISecurityFilter

    protected static java.lang.ThreadLocal applyUISecurityFilter

Constructor Detail

### JCRCMS

    public JCRCMS()

Method Detail

### getUserInfo

    public static java.lang.ThreadLocal getUserInfo()

### turnOffWorkflow

    public static void turnOffWorkflow()

### turnOnWorkflow

    public static void turnOnWorkflow()

### enableUISecurityFilter

    public static void enableUISecurityFilter()

### disableUISecurityFilter

    public static void disableUISecurityFilter()

### isUISecurityFilterActive

    public static boolean isUISecurityFilterActive()

### getRepositoryName

    public java.lang.String getRepositoryName()

### setRepositoryName

    public void setRepositoryName(java.lang.String repositoryName)

### getHomeDir

    public java.lang.String getHomeDir()

### setHomeDir

    public void setHomeDir(java.lang.String homeDir)

### getDefaultContentLocation

    public java.lang.String getDefaultContentLocation()

### setDefaultContentLocation

    public void setDefaultContentLocation(java.lang.String defaultContentLocation)

### getConfig

    public org.w3c.dom.Element getConfig()

### setConfig

    public void setConfig(org.w3c.dom.Element config)

### getJCR

    public JCRService getJCR()

### getDefaultLocale

    public java.lang.String getDefaultLocale()

  Description copied from interface: `CMS`
  Return default locale

  Specified by:
    `getDefaultLocale` in interface `CMS`

### setDefaultLocale

    public void setDefaultLocale(java.lang.String defaultLocale)

### getDoChecking

    public boolean getDoChecking()

### setDoChecking

    public void setDoChecking(boolean doChecking)

### getApprovePublishWorkflow

    public ApprovePublish getApprovePublishWorkflow()

  Returns:
    the approvePublishWorkflow

### setApprovePublishWorkflow

    public void setApprovePublishWorkflow(ApprovePublish approvePublishWorkflow)

  Parameters:
    `approvePublishWorkflow` - the approvePublishWorkflow to set

### getAuthorizationManager

    public AuthorizationManager getAuthorizationManager()

  Returns:

### setAuthorizationManager

    public void setAuthorizationManager(AuthorizationManager authorizationManager)

  Parameters:
    `authorizationManager` -

### getJNDIName

    public java.lang.String getJNDIName()

  Returns:

### setJNDIName

    public void setJNDIName(java.lang.String jndiName)

  Parameters:
    `jndiName` -

### startService

    public void startService()
                      throws java.lang.Exception

  CMS Start

  Overrides:
    `startService` in class `org.jboss.system.ServiceMBeanSupport`
  Throws:
    `java.lang.Exception`

### stopService

    public void stopService()

  Shuts down the repo and unregisters it

  Overrides:
    `stopService` in class `org.jboss.system.ServiceMBeanSupport`

### startJCR

    public void startJCR()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stopJCR

    public void stopJCR()

### contentExists

    public boolean contentExists()
                          throws java.lang.Exception

  Checks for existence of default CMS content.

  Returns:
  Throws:
    `java.lang.Exception`

### createContent

    public void createContent()
                       throws java.lang.Exception

  Loads content from sar and adds it to the repo.

  Throws:
    `java.lang.Exception`

### getCommandFactory

    public CommandFactory getCommandFactory()

  Description copied from interface: `CMS`
  Return the command factory.

  Specified by:
    `getCommandFactory` in interface `CMS`

### getRepository

    public javax.jcr.Repository getRepository()

### execute

    public java.lang.Object execute(Command cmd)
                             throws CMSException

  Description copied from interface: `CMS`
  Execute the command.

  Specified by:
    `execute` in interface `CMS`
  Throws:
    `CMSException`

### isWorkflowActivated

    public boolean isWorkflowActivated()

  Specified by:
    `isWorkflowActivated` in interface `CMS`
  Returns:

### setStackFactory

    public void setStackFactory(org.jboss.portal.common.invocation.InterceptorStackFactory stackFactory)

### getStackFactory

    public org.jboss.portal.common.invocation.InterceptorStackFactory getStackFactory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.